javax.xml.ws

## Class Holder<T>

- java.lang.Object
- - javax.xml.ws.Holder<T>

    public final class Holder<T>
    extends Object

Holds a value of type `T`.

Since:
  JAX-WS 2.0

### Field Summary

Fields
`T` `value` The value contained in the holder.

### Constructor Summary

Constructors
Constructor and Description
`Holder()` Creates a new holder with a `null` value.
`Holder(T value)` Create a new holder with the specified value.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public T value

The value contained in the holder.

### Constructor Detail

#### Holder

    public Holder()

Creates a new holder with a `null` value.

#### Holder

    public Holder(T value)

Create a new holder with the specified value.

Parameters:
  `value` - The value to be stored in the holder.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.